Subject: Re: linux-next: Tree for July 31 (GRU build error)

From: Jack Steiner <[email-masked]>
Date: Fri, 1 Aug 2008 08:16:36 -0500

On Thu, Jul 31, 2008 at 10:37:58PM -0700, Randy Dunlap wrote:
> 
> xp_uv.c:(.text+0x4186b): undefined reference to `gru_copy_gpa'
> xpc_uv.c:(.text+0x44616): undefined reference to `gru_create_message_queue'
> xpc_uv.c:(.text+0x44e16): undefined reference to `gru_free_message'
> xpc_uv.c:(.text+0x44e22): undefined reference to `gru_get_next_message'
> xpc_uv.c:(.text+0x44e67): undefined reference to `gru_send_message_gpa'
> xpc_uv.c:(.text+0x45a79): undefined reference to `gru_free_message'
> xpc_uv.c:(.text+0x45a85): undefined reference to `gru_get_next_message'
> make[1]: *** [.tmp_vmlinux1] Error 1

This is not actually a GRU problem. XP is missing a dependency. Dean will
post a patch later today.

> 
> 
> config attached.
> 
> 
> and please add a GRU maintainer entry somewhere.
 
Done. Also added maintainer for XP...

--- jack